guitarix (0.46.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Stop building glade catalog support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Aug 2025 13:39:42 -0400

guitarix (0.46.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.46.0+dfsg
    + Fix segfaults, when creating a preset bank (Closes: #1062831)
  * Development switched to github, update d/copyright and d/watch
  * LADSPA support is dropped, remove ladspa package
  * Drop patches applied by upstream
  * Add libfftw3-dev to B-Ds
  * Bump d/copyright years
  * Refresh *.lintian.overrides, add d/source/lintian-overrides

 -- Dennis Braun <snd@debian.org>  Fri, 29 Mar 2024 17:15:09 +0100

guitarix (0.44.1+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062195

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 09:01:17 +0000

guitarix (0.44.1+dfsg1-3) unstable; urgency=medium

  * Fix FTBFS with GCC13 (Closes: #1037685)
  * Fix major version detection of zita-resampler >=1.10
  * Add d/guitarix-lv2.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Fri, 04 Aug 2023 12:35:39 +0200

guitarix (0.44.1+dfsg1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 2.
  * Remove constraints unnecessary since buster (oldstable)

  [ Olivier Humbert ]
  * Update d/control: trash -> thrash (thanks to Anders)

  [ Dennis Braun ]
  * Fix FTBFS: ValueError: invalid mode: 'rU' (Closes: #1028735)
  * Refresh patchset
  * Change my email address
  * Bump Standards-Version to 4.6.2
  * Prefer libjack-dev over libjack-jackd2-dev
  * debian/control: Apply wrap-and-sort -ast
  * Remove trailing whitespace in d/copyright
  * Bump my d/copyright year
  * Refresh lintian-overrides
  * Add salsa ci config

 -- Dennis Braun <snd@debian.org>  Tue, 17 Jan 2023 21:33:43 +0100

guitarix (0.44.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.44.1+dfsg1 (Closes: #1003147)
  * Drop ftbfs patch, applied by upstream
  * Install new metainfo file
  * d/copyright: Add new metainfo file and FSFAP license
  * d/copyright: Bump years and add myself to the d/ section
  * Remove obsolete d/guitarix.dirs

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 May 2022 16:21:54 +0200

guitarix (0.42.1+dfsg1-3) unstable; urgency=medium

  [ Matthias Klose ]
  * Fix ftbfs with glib2.0, synced from experimental (Closes: #984469, #997223)

  [ Dennis Braun ]
  * Bump Standards-Version to 4.6.0

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 14 Nov 2021 15:58:04 +0100

guitarix (0.42.1+dfsg1-2) unstable; urgency=medium

  * Update d/copyright (Closes: #984469)
    Thanks to Francesco Poli (wintermute).

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Sun, 07 Mar 2021 12:51:00 +0100

guitarix (0.42.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.42.1
  * Update lintian-overrides
  * Bump S-V to 4.5.1

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 17 Jan 2021 22:39:30 +0100

guitarix (0.41.0+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Merge changes from 0.39.0+dfsg1-3.1 to fix build on i386

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 11 Aug 2020 21:33:01 +0200

guitarix (0.41.0+dfsg1-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.41.0
  * Build with gtk3 (Closes: #967506)
    + Update B-Ds
    + Remove gtk2 Depends from guitarix package
  * Add me as uploader
  * Update patchset
  * Update install files
  * Update documentation installation
  * Remove -Wl,--as-needed ldflags
  * Remove override_dh_missing since its default in dh 13

  [ Sebastian Ramacher ]
  * debian/copyright: Update paths

  [ Olivier Humbert ]
  * Update copyright years in d/copyright.

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 10 Aug 2020 18:26:43 +0200

guitarix (0.39.0+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Added --disable-sse parameter to fix port baseline in i386.
    Thanks to Adrian Bunk <bunk@debian.org>. (Closes: #961380)

 -- Daniel Lenharo de Souza <lenharo@debian.org>  Wed, 10 Jun 2020 08:50:55 -0300

guitarix (0.39.0+dfsg1-3) unstable; urgency=medium

  * Fix LV2 types (Closes: #960250)
  * Fix spelling errors
  * Bump dh-compat to 13
  * Mark -dev packages as not Multi-Arch
  * Add archive and remove obsolete name field in d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 21 May 2020 18:43:50 +0200

guitarix (0.39.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Mark libgxw-dev and libgxwmm-dev as Multi-Arch: same

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 Mar 2020 22:59:21 +0100

guitarix (0.39.0+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * d/control:
    + Update package description
    + Add fonts-roboto and gperf to B-D

  [ Dennis Braun ]
  * New upstream release
  * d/copyright: Update year

  [ Víctor Cuadrado Juan ]
  * Create +dfsg1 tar with waf unpacked
  * New upstream version 0.39.0+dfsg1
  * Fix typo in d/NEWS
  * Move to python3 (Closes: #943122)
    + Use python3 in waf calls, Build-Depends on python3
    + Patch tools/_makejsonrpc_methods for python3

 -- Víctor Cuadrado Juan <me@viccuad.me>  Thu, 13 Feb 2020 19:41:08 +0100

guitarix (0.38.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Víctor Cuadrado Juan ]
  * Move to dh_missing --fail-missing as dh_install option is deprecated
  * Add version dependency information to shlibs files (Closes: #895151)
  * Remove --no-mod-lv2 from configure as not needed anymore
  * Add --ladspa to configure as it's needed now
  * Remove 02-libdl.patch as not needed anymore
  * Add new Build-Depends on libboost-iostreams-dev
  * Bump dh compat to 11, no changes needed
  * Bump Std-Ver to 4.1.5, Added Rules-Requires-Root: no
  * Update d/watch to version 4
  * New upstream version 0.38.1
  * Fix guitarix-doc files location
  * Remove trailing whitespace in d/rules

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/watch: Use https protocol

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump debhelper compat to 12.
    - Bump Standards-Version.
  * debian/gxw-glade.lintian-overrides: Override incorrect lintian error.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Sep 2019 21:00:58 +0200

guitarix (0.36.1-1) unstable; urgency=medium

  * New upstream version 0.36.1
  * Use https for upstream homepage in d/control and d/copyright
  * Bump Std-Ver to 4.1.3

 -- Víctor Cuadrado Juan <me@viccuad.me>  Sun, 31 Dec 2017 16:16:25 +0100

guitarix (0.36.0-1) unstable; urgency=medium

  * New upstream version 0.36.0
  * Bump Std-Ver to 4.1.1 (no changes needed)
  * Add "Recommends: gvfs-backends" to guitarix package (Closes: #874799)
  * Remove duplicated Priority field in guitarix-doc
  * Use https in d/watch URI
  * Drop guitarix-doc.lintian-overrides as not needed anymore

 -- Víctor Cuadrado Juan <me@viccuad.me>  Tue, 14 Nov 2017 21:10:03 +0100

guitarix (0.35.6-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
    - Drop dependency on WebKit (Closes: #866641)
    - Fix build issues with GCC 7. (Closes: #853437)
  * debian/control:
    - Bump Priority to optional.
    - Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Aug 2017 01:43:19 +0200

guitarix (0.35.3-1) experimental; urgency=medium

  * New upstream version 0.35.3
  * Update years in d/copyright

 -- Víctor Cuadrado Juan <me@viccuad.me>  Mon, 22 May 2017 21:17:22 +0200

guitarix (0.35.2-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Fix *.so symlinks (Closes: #856947)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 07 Mar 2017 21:01:36 +0100

guitarix (0.35.2-1) unstable; urgency=medium

  * New upstream version 0.35.2
    - Fix FTBFS (Closes: #839354)
  * Change guitarix-common and guitarix-doc to Multi-Arch: foreign
    as they don't contain maintainer scripts nor have dependencies on
    architecture-dependent packages

 -- Víctor Cuadrado Juan <me@viccuad.me>  Tue, 25 Oct 2016 23:29:55 +0200

guitarix (0.35.1-1) unstable; urgency=medium

  * New ustream release
    - Fix build with gcc-6 (Closes: #831124)
  * Fix Breaks and Replaces for the package split (Closes: #829468)
  * Remove unneeded libgxw-dev and libgxwmm-dev lintian.overrides
  * Update d/copyright for new files

 -- Víctor Cuadrado Juan <me@viccuad.me>  Sun, 07 Aug 2016 13:25:08 +0200

guitarix (0.35.0-1) unstable; urgency=medium

  * New upstream release
  * Separate guitarix into binary packages:
    - guitarix
    - guitarix-common
    - guitarix-ladspa
    - guitarix-lv2
    - libgxw0
    - libgxwmm0
  * Add new guitarix binary packages:
    - guitarix-doc
    - gxw-glade
    - libgxw-dev
    - ligbxwmm-dev
  * Add NEWS.Debian to inform of the new binary packages
  * Remove old README.Debian from upstream
  * Drop upstreamed patches
  * Update Std-Ver to 3.9.8
  * Add --as-needed flag to configure, which trims undeeded dependencies
  * Reword descriptions in d/control
  * Add machine-readable d/copyright
  * Enable large filesystem support
  * Use new --no-mod-lv2 configure flag to remove undeeded modgui files
  * Add support for DEB_BUILD_OPTIONS="parallel=" (Closes: #820046)
  * Add fonts-roboto to guitarix binary package Depends
  * Rename d/dirs to d/guitarix.dirs for clarity
  * Fix d/ file's styles with `wrap-and-sort -t`

 -- Víctor Cuadrado Juan <me@viccuad.me>  Wed, 11 May 2016 13:23:31 +0200

guitarix (0.34.0-1) unstable; urgency=medium

  * New Maintainer (Closes: #812625)
  * Change Maintainer to Debian Multimedia Team
  * Change Uploaders to Víctor Cuadrado Juan
  * Change Vcs entries in d/control to Debian Multimedia Team
  * Patches:
    - 04-fix-desktop.patch: Fix groups and add keywords to .desktop file
    - 05-fix-spelling.patch: fix spelling in strings
  * Build-Depend on libwebkitgtk-dev instead of libwebkit-dev (Closes: #818295)
  * Enchance d/copyright with external contributors and bump to 2016
  * Enable all build hardening flags

 -- Víctor Cuadrado Juan <me@viccuad.me>  Mon, 21 Mar 2016 14:40:20 +0100

guitarix (0.34.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Fix FTBFS by using correct flags when compiling against C++11
      (Closes: #805666).
    - Fix segfault when adding LADSPA plugin to a category with accents
      in the name (Closes: #788564).
  * debian/source/include-binaries: remove as not needed anymore.
  * debian/patch: update patchs to new version.
  * debian/control: Build-Depends: add libwebkit-dev.
  * Update manpage to new version.
  * source.lintian-overrides: remove as not needed anymore.

 -- Víctor Cuadrado Juan <me@viccuad.me>  Sun, 20 Dec 2015 21:03:15 +0100

guitarix (0.32.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.6

 -- Roland Stigge <stigge@antcom.de>  Wed, 10 Dec 2014 14:09:11 +0100

guitarix (0.31.0-1) unstable; urgency=medium

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 13 Oct 2014 11:37:32 +0200

guitarix (0.29.0-2) unstable; urgency=medium

  * Changed libbluetooth-dev to [linux-any] because of build issue on kfreebsd
    (Closes: #749712)

 -- Roland Stigge <stigge@antcom.de>  Thu, 29 May 2014 16:59:21 +0200

guitarix (0.29.0-1) unstable; urgency=medium

  * New upstream release (Closes: #749116)
  * Updated debian/watch via http://qa.debian.org/watch/sf.php

 -- Roland Stigge <stigge@antcom.de>  Sun, 25 May 2014 16:21:57 +0200

guitarix (0.28.2-4) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.5
    - Drop libboost-foo1.53-dev alternatives from build-depends to
      fix boost transition (Closes: #731020)

 -- Roland Stigge <stigge@antcom.de>  Sun, 01 Dec 2013 11:02:29 +0100

guitarix (0.28.2-3) unstable; urgency=low

  * debian/control: vorbistools -> vorbis-tools (Closes: #719170)

 -- Roland Stigge <stigge@antcom.de>  Fri, 09 Aug 2013 22:02:47 +0200

guitarix (0.28.2-2) unstable; urgency=low

  * Added upstream patch to fix build on Hurd/freebsd

 -- Roland Stigge <stigge@antcom.de>  Wed, 07 Aug 2013 21:46:58 +0200

guitarix (0.28.2-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 05 Aug 2013 22:41:16 +0200

guitarix (0.28.1-2) unstable; urgency=low

  * Added upstream patch to fix build problem on hurd

 -- Roland Stigge <stigge@antcom.de>  Fri, 02 Aug 2013 21:11:49 +0200

guitarix (0.28.1-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 28 Jul 2013 19:43:10 +0200

guitarix (0.27.1-3) unstable; urgency=low

  * Reorder Build-Depends: since buildd only consider the first one in
    alternatives (Closes: #707723)

 -- Roland Stigge <stigge@antcom.de>  Fri, 10 May 2013 21:27:17 +0200

guitarix (0.27.1-2) unstable; urgency=low

  * Fix build with gcc-4.8 via new libboost >= 1.53 (Closes: #701293)

 -- Roland Stigge <stigge@antcom.de>  Thu, 09 May 2013 14:10:55 +0200

guitarix (0.27.1-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 05 May 2013 14:00:10 +0200

guitarix (0.25.2-2) experimental; urgency=low

  * debian/control:
    - Fixed package description, thanks to Omar Campagne (Closes: #688570)
    - Standards-Version: 3.9.4
    - Build-Depends: debhelper (>= 9), version to be consistent with
      debian/compat

 -- Roland Stigge <stigge@antcom.de>  Fri, 15 Mar 2013 18:36:42 +0100

guitarix (0.25.2-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 09 Feb 2013 10:10:32 +0100

guitarix (0.25.1-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 06 Jan 2013 14:36:36 +0100

guitarix (0.24.3-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 15 Nov 2012 10:18:29 +0100

guitarix (0.24.2-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 20 Oct 2012 10:34:27 +0200

guitarix (0.24.1-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 14 Oct 2012 20:40:31 +0200

guitarix (0.24.0-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 13 Aug 2012 10:55:42 +0200

guitarix (0.23.3-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 02 Aug 2012 17:57:39 +0200

guitarix (0.22.4-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 12 Jun 2012 21:14:01 +0200

guitarix (0.22.3-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Wed, 16 May 2012 22:04:50 +0200

guitarix (0.22.2-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 29 Apr 2012 14:25:03 +0200

guitarix (0.22.0-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 15 Apr 2012 14:54:17 +0200

guitarix (0.22beta2-1) unstable; urgency=low

  * New upstream release (Closes: #666639)
  * debian/control: Standards-Version: 3.9.3

 -- Roland Stigge <stigge@antcom.de>  Sun, 01 Apr 2012 11:11:03 +0200

guitarix (0.21.0-1) unstable; urgency=low

  * New upstream release
    - Includes waf in source form, so drop patch
      debian/patches/02-fix-waf-binary-to-source-version.patch

 -- Roland Stigge <stigge@antcom.de>  Wed, 18 Jan 2012 10:51:23 +0100

guitarix (0.20.2-3) unstable; urgency=low

  * Add patch to include sources of waf that replace binary waf
    (Closes: #654473)
  * debian/rules: New dh style rules

 -- Roland Stigge <stigge@antcom.de>  Thu, 05 Jan 2012 20:38:48 +0100

guitarix (0.20.2-2) unstable; urgency=low

  * Added patch to fix build on kfreebsd and hurd (Closes: #649634)

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Nov 2011 19:23:42 +0100

guitarix (0.20.2-1) unstable; urgency=low

  * New upstream release
  * Added to Build-Depends: libboost-thread-dev

 -- Roland Stigge <stigge@antcom.de>  Sat, 12 Nov 2011 16:15:43 +0100

guitarix (0.19.0-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patch/01-fix-convolver.patch: Fixed upstream
  * Removed debian/patches/02-fix-plugin-classes-in-jack-rack.patch:
    Fixed upstream

 -- Roland Stigge <stigge@antcom.de>  Tue, 01 Nov 2011 18:40:23 +0100

guitarix (0.18.0-4) unstable; urgency=low

  * Fix duplicate class names in jack-rack plugins (Closes: #640790)

 -- Roland Stigge <stigge@antcom.de>  Wed, 21 Sep 2011 21:04:32 +0200

guitarix (0.18.0-3) unstable; urgency=low

  * Added upstream fix for convolver (Closes: #639930)
  * Removed package name fix patch

 -- Roland Stigge <stigge@antcom.de>  Mon, 05 Sep 2011 20:47:49 +0200

guitarix (0.18.0-2) unstable; urgency=low

  * Added gtk2-engines, gtk2-engines-pixbuf to Depends to fix guitarix
    widgets on non-GNOME WMs (Closes: #639448)

 -- Roland Stigge <stigge@antcom.de>  Sun, 28 Aug 2011 20:57:55 +0200

guitarix (0.18.0-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 11 Aug 2011 23:05:05 +0200

guitarix (0.17.0-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Wed, 03 Aug 2011 22:21:41 +0200

guitarix (0.16.0-1) unstable; urgency=low

  * New upstream release (Closes: #630126, #630127)
  * Updated debian/watch
  * debian/control: Build-Depends: libboost-dev instead of libboost1.42-dev
    (Closes: #630438)
  * Fixed debian/copyright to remove template leftovers
  * debian/rules: added build-arch and build-indep targets

 -- Roland Stigge <stigge@antcom.de>  Sun, 19 Jun 2011 17:04:25 +0200

guitarix (0.15.0~svn-r1056-1) unstable; urgency=low

  * New upstream release gx_head (renamed back to guitarix, coordinated with
    upstream) (Closes: #626850)
  * Fixes application crashed on controllers (Closes: #612830)
  * Standards-Version: 3.9.2

 -- Roland Stigge <stigge@antcom.de>  Mon, 16 May 2011 11:46:10 +0200

guitarix (0.11.1-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 Dec 2010 16:31:13 +0100

guitarix (0.11.0-1) experimental; urgency=low

  * New upstream release
  * Added debian/watch

 -- Roland Stigge <stigge@antcom.de>  Sun, 08 Aug 2010 14:40:30 +0200

guitarix (0.10.0-1) unstable; urgency=low

  * First revision in Debian (Closes: #543923)
  * Source format: 3.0 (quilt)
  * debian/control: Standards-Version: 3.9.1

 -- Roland Stigge <stigge@antcom.de>  Mon, 26 Jul 2010 22:20:04 +0200
